Subject: Re: Problems with glibc RPM

From: "Kevin D. Kissell" <[email-masked]>
Date: Thu, 2 Dec 1999 09:23:09 +0100

>
>I downloaded glibc-2.0.6-4.src.rpm and glibc-2.0.6-3.src.rpm from 
>ftp.linux.sgi.com.
>
>When I tried to use the rpm tool to install them, I got the following error 
>message:
>
>unpacking of archive failed on file glibc-2.0.6.tar.gz: cpio: read failed - 
>Success
>
>
>Can someone help ? I really need these sources from the rpm.
>
>I am using RedHat Linux 6.0 on a PC.

I believe there are some interoperatbility problems between
Red Hat 5.2 and 6.0 rpm programs.   When I did a port of
mipsel linux to a MIPS development board, I started by
booting the RH 6.0 mipsel root file system, with the 6.0
rpm program, and found that I could not reliably install
the 5.2 gcc/glibc binary RPMs on the SGI server.  I
backed off to a 5.2 level root file system and rpm program,
and the problems went away.

__

Kevin D. Kissell
MIPS Technologies European Architecture Lab
[email-masked]
Tel. +33.4.78.38.70.67
FAX. +33.4.78.38.70.68